using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ParticleFramework.Communication;
using ParticleFramework.Storage;
using ParticleFramework;
using Mobiles.Pathfinding;

namespace Mobiles.Rooms
{
    class ObjectManager
    {
        public static void parseObjects(string objects, int roomID, PathFinder tPathfinder)
        {
            if (objects != "")
            {
                string[] line = objects.Split((char)10), objectData;
                string sprite;
                int x, y;

                for (int i = 0; i < line.Length; i++)
                {
                    objectData = line[i].Split(' ');
                    sprite = objectData[1];
                    x = Convert.ToInt32(objectData[2]);
                    y = Convert.ToInt32(objectData[3]);

                    if (sprite == "chair")
                    {
                        RoomManager.seatMaps[roomID][x, y] = Convert.ToInt32(objectData[5].Substring(0,1));
                    }
                    else
                    {
                        tPathfinder.setCell(x, y, 0);
                    }
                    if (sprite == "table")
                    {
                        tPathfinder.setCell(x + 1, y, 0);
                        tPathfinder.setCell(x + 1, y + 1, 0);
                        tPathfinder.setCell(x, y + 1, 0);
                    }
                }
            }
        }
    }
}
